diff --git a/README.md b/README.md
index 8a61aba4b..43b9fd1d5 100755
--- a/README.md
+++ b/README.md
@@ -169,6 +169,8 @@ Other documents:
## V3 changes
+* v3.0, 2021-04-24, [3.0 release4(3.0.159)][r3.0r4] released. 122750 lines.
+* v3.0, 2021-04-24, Package srs-console to zip and docker. 3.0.159
* v3.0, 2021-03-05, Refine usage to docker by default. 3.0.158
* v3.0, 2021-01-07, Change id from int to string for the statistics. 3.0.157
* v3.0, 2021-01-02, [3.0 release3(3.0.156)][r3.0r3] released. 122736 lines.
@@ -804,6 +806,7 @@ Other documents:
## Releases
+* 2021-04-24, [Release v3.0-r4][r3.0r4], 3.0 release4, 3.0.159, 122750 lines.
* 2021-01-02, [Release v3.0-r3][r3.0r3], 3.0 release3, 3.0.156, 122736 lines.
* 2020-10-31, [Release v3.0-r2][r3.0r2], 3.0 release2, 3.0.153, 122663 lines.
* 2020-10-10, [Release v3.0-r1][r3.0r1], 3.0 release1, 3.0.144, 122674 lines.
@@ -1744,6 +1747,7 @@ Winlin
[exo #828]: https://github.com/google/ExoPlayer/pull/828
+[r3.0r4]: https://github.com/ossrs/srs/releases/tag/v3.0-r4
[r3.0r3]: https://github.com/ossrs/srs/releases/tag/v3.0-r3
[r3.0r2]: https://github.com/ossrs/srs/releases/tag/v3.0-r2
[r3.0r1]: https://github.com/ossrs/srs/releases/tag/v3.0-r1
diff --git a/trunk/scripts/package.sh b/trunk/scripts/package.sh
index ecd233450..d89e04b47 100755
--- a/trunk/scripts/package.sh
+++ b/trunk/scripts/package.sh
@@ -17,6 +17,8 @@ MIPS=NO
#
EMBEDED=NO
JOBS=1
+#
+SRS_CONSOLE=
##################################################################################
##################################################################################
@@ -26,8 +28,8 @@ for option
do
case "$option" in
-*=*)
- value=`echo "$option" | sed -e 's|[-_a-zA-Z0-9/]*=||'`
- option=`echo "$option" | sed -e 's|=[-_a-zA-Z0-9/]*||'`
+ value=`echo "$option" | sed -e 's|[-_a-zA-Z0-9/]*=||'`
+ option=`echo "$option" | sed -e 's|=[-_a-zA-Z0-9/~]*||'`
;;
*) value="" ;;
esac
@@ -41,6 +43,7 @@ do
--arm) ARM=YES ;;
--pi) PI=YES ;;
--jobs) JOBS=$value ;;
+ --console) SRS_CONSOLE=$value ;;
*)
echo "$0: error: invalid option \"$option\", @see $0 --help"
@@ -59,6 +62,8 @@ if [ $help = yes ]; then
--pi for pi platform, configure/make/package.
--x86-64 alias for --x86-x64.
--jobs Set the configure and make jobs.
+
+ --console The path for https://github.com/ossrs/srs-console
END
exit 0
fi
@@ -151,6 +156,16 @@ ok_msg "start install srs"
ret=$?; if [[ 0 -ne ${ret} ]]; then failed_msg "install srs failed"; exit $ret; fi
ok_msg "install srs success"
+# Copy srs-console
+if [[ $SRS_CONSOLE != "" ]]; then
+ HTTP_HOME="objs/nginx/html/"
+ CONSOLE_HOME="trunk/research/console"
+ cp -R $SRS_CONSOLE/index.html ${package_dir}/${INSTALL}/${HTTP_HOME} >> $log 2>&1
+ cp -R $SRS_CONSOLE/${CONSOLE_HOME} ${package_dir}/${INSTALL}/${HTTP_HOME} >> $log 2>&1
+ ret=$?; if [[ 0 -ne ${ret} ]]; then failed_msg "copy console files failed"; exit $ret; fi
+ ok_msg "copy console files success"
+fi
+
# copy extra files to package.
ok_msg "start copy extra files to package"
(
diff --git a/trunk/src/core/srs_core_version3.hpp b/trunk/src/core/srs_core_version3.hpp
index b4c8f7273..6401faa2c 100644
--- a/trunk/src/core/srs_core_version3.hpp
+++ b/trunk/src/core/srs_core_version3.hpp
@@ -24,6 +24,6 @@
#ifndef SRS_CORE_VERSION3_HPP
#define SRS_CORE_VERSION3_HPP
-#define SRS_VERSION3_REVISION 158
+#define SRS_VERSION3_REVISION 159
#endif